org.hibernate.search.elasticsearch.schema.impl

## Interface ElasticsearchValidationMessages

-     @MessageBundle(projectCode="HSEARCH")
      public interface ElasticsearchValidationMessages

  Message bundle for Elasticsearch mapping validation.
  Author:
    Yoann Rodiere

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `analyzerContext(String name)`
    `String` | `analyzerMissing()`
    `String` | `charFilterContext(String name)`
    `String` | `charFilterMissing()`
    `String` | `indexContext(String name)`
    `String` | `invalidAnalysisDefinitionParameter(String name, Object expected, Object actual)`
    `String` | `invalidAnalysisDefinitionType(String expected, String actual)`
    `String` | `invalidAnalyzerCharFilters(Object expected, Object actual)`
    `String` | `invalidAnalyzerTokenFilters(Object expected, Object actual)`
    `String` | `invalidAnalyzerTokenizer(Object expected, Object actual)`
    `String` | `invalidAttributeValue(String string, Object expectedValue, Object actualValue)`
    `String` | `invalidInputFormat(String string, List<String> expectedValue, List<String> actualValue, List<String> missingFormats, List<String> unexpectedFormats)`
    `String` | `invalidOutputFormat(String string, String expectedValue, String actualValue)`
    `String` | `mappingContext(String name)`
    `String` | `mappingMissing()`
    `String` | `mappingPropertyContext(String path)`
    `String` | `mappingPropertyFieldContext(String name)`
    `String` | `normalizerContext(String name)`
    `String` | `normalizerMissing()`
    `String` | `propertyFieldMissing()`
    `String` | `propertyMissing()`
    `String` | `tokenFilterContext(String name)`
    `String` | `tokenFilterMissing()`
    `String` | `tokenizerContext(String name)`
    `String` | `tokenizerMissing()`

- - ### Method Detail

    - #### indexContext

          @Message(value="index \'%1$s\'")
          String indexContext(String name)

    - #### mappingContext

          @Message(value="mapping \'%1$s\'")
          String mappingContext(String name)

    - #### mappingPropertyContext

          @Message(value="property \'%1$s\'")
          String mappingPropertyContext(String path)

    - #### mappingPropertyFieldContext

          @Message(value="field \'%1$s\'")
          String mappingPropertyFieldContext(String name)

    - #### analyzerContext

          @Message(value="analyzer \'%1$s\'")
          String analyzerContext(String name)

    - #### normalizerContext

          @Message(value="normalizer \'%1$s\'")
          String normalizerContext(String name)

    - #### charFilterContext

          @Message(value="char filter \'%1$s\'")
          String charFilterContext(String name)

    - #### tokenizerContext

          @Message(value="tokenizer \'%1$s\'")
          String tokenizerContext(String name)

    - #### tokenFilterContext

          @Message(value="token filter \'%1$s\'")
          String tokenFilterContext(String name)

    - #### mappingMissing

          @Message(value="Missing type mapping")
          String mappingMissing()

    - #### propertyMissing

          @Message(value="Missing property mapping")
          String propertyMissing()

    - #### propertyFieldMissing

          @Message(value="Missing field mapping")
          String propertyFieldMissing()

    - #### invalidAttributeValue

          @Message(value="Invalid value for attribute \'%1$s\'. Expected \'%2$s\', actual is \'%3$s\'")
          String invalidAttributeValue(String string,
                                                                                                                                     Object expectedValue,
                                                                                                                                     Object actualValue)

    - #### invalidOutputFormat

          @Message(value="The output format (the first format in the \'%1$s\' attribute) is invalid. Expected \'%2$s\', actual is \'%3$s\'")
          String invalidOutputFormat(String string,
                                                                                                                                                                        String expectedValue,
                                                                                                                                                                        String actualValue)

    - #### invalidInputFormat

          @Message(value="Invalid formats for attribute \'%1$s\'. Every required formats must be in the list, though it\'s not required to provide them in the same order, and the list must not contain unexpected formats. Expected \'%2$s\', actual is \'%3$s\', missing elements are \'%4$s\', unexpected elements are \'%5$s\'.")
          String invalidInputFormat(String string,
                                                                                                                                                                                                                                                                                                                                                                 List<String> expectedValue,
                                                                                                                                                                                                                                                                                                                                                                 List<String> actualValue,
                                                                                                                                                                                                                                                                                                                                                                 List<String> missingFormats,
                                                                                                                                                                                                                                                                                                                                                                 List<String> unexpectedFormats)

    - #### analyzerMissing

          @Message(value="Missing analyzer definition")
          String analyzerMissing()

    - #### normalizerMissing

          @Message(value="Missing normalizer definition")
          String normalizerMissing()

    - #### invalidAnalyzerCharFilters

          @Message(value="Invalid char filters. Expected \'%1$s\', actual is \'%2$s\'")
          String invalidAnalyzerCharFilters(Object expected,
                                                                                                                          Object actual)

    - #### invalidAnalyzerTokenizer

          @Message(value="Invalid tokenizer. Expected \'%1$s\', actual is \'%2$s\'")
          String invalidAnalyzerTokenizer(Object expected,
                                                                                                                     Object actual)

    - #### invalidAnalyzerTokenFilters

          @Message(value="Invalid token filters. Expected \'%1$s\', actual is \'%2$s\'")
          String invalidAnalyzerTokenFilters(Object expected,
                                                                                                                            Object actual)

    - #### charFilterMissing

          @Message(value="Missing char filter definition")
          String charFilterMissing()

    - #### tokenizerMissing

          @Message(value="Missing tokenizer definition")
          String tokenizerMissing()

    - #### tokenFilterMissing

          @Message(value="Missing token filter definition")
          String tokenFilterMissing()

    - #### invalidAnalysisDefinitionType

          @Message(value="Invalid type. Expected \'%1$s\', actual is \'%2$s\'")
          String invalidAnalysisDefinitionType(String expected,
                                                                                                                     String actual)

    - #### invalidAnalysisDefinitionParameter

          @Message(value="Invalid value for parameter \'%1$s\'. Expected \'%2$s\', actual is \'%3$s\'")
          String invalidAnalysisDefinitionParameter(String name,
                                                                                                                                                  Object expected,
                                                                                                                                                  Object actual)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved